=== modified file 'indicator/main.cpp'
--- indicator/main.cpp	2013-08-22 17:51:46 +0000
+++ indicator/main.cpp	2013-08-22 21:51:42 +0000
@@ -48,7 +48,7 @@
 
     Tp::registerTypes();
 
-    // check if there is already an instance of the approver running
+    // check if there is already an instance of the indicator running
     if (ApplicationUtils::checkApplicationRunning(TP_QT_IFACE_CLIENT + ".TelephonyServiceIndicator")) {
         qDebug() << "Found another instance of the indicator. Quitting.";
         return 1;

=== modified file 'indicator/messagingmenu.cpp'
--- indicator/messagingmenu.cpp	2013-08-22 17:51:46 +0000
+++ indicator/messagingmenu.cpp	2013-08-22 21:51:42 +0000
@@ -39,14 +39,14 @@
     #include <messaging-menu-message.h>
 #endif
 
-#define SOURCE_ID "telephony-service-approver"
+#define SOURCE_ID "telephony-service-indicator"
 
 QTCONTACTS_USE_NAMESPACE
 
 MessagingMenu::MessagingMenu(QObject *parent) :
     QObject(parent), mVoicemailCount(-1)
 {
-    GIcon *icon = g_icon_new_for_string("telephony-service-approver", NULL);
+    GIcon *icon = g_icon_new_for_string("telephony-service-indicator", NULL);
     mMessagesApp = messaging_menu_app_new("telephony-service-sms.desktop");
     messaging_menu_app_register(mMessagesApp);
     messaging_menu_app_append_source(mMessagesApp, SOURCE_ID, icon, C::gettext("Telephony Service"));

=== modified file 'indicator/org.freedesktop.Telepathy.Client.TelephonyServiceIndicator.service.in'
--- indicator/org.freedesktop.Telepathy.Client.TelephonyServiceIndicator.service.in	2013-08-22 17:51:46 +0000
+++ indicator/org.freedesktop.Telepathy.Client.TelephonyServiceIndicator.service.in	2013-08-22 21:51:42 +0000
@@ -1,3 +1,3 @@
 [D-BUS Service]
-Name=org.freedesktop.Telepathy.Client.TelephonyServiceObserver
-Exec=@CMAKE_INSTALL_PREFIX@/@CMAKE_INSTALL_BINDIR@/telephony-service-approver
+Name=org.freedesktop.Telepathy.Client.TelephonyServiceIndicator
+Exec=@CMAKE_INSTALL_PREFIX@/@CMAKE_INSTALL_BINDIR@/telephony-service-indicator

=== modified file 'indicator/telephony-service-call.desktop.in'
--- indicator/telephony-service-call.desktop.in	2013-08-22 17:51:46 +0000
+++ indicator/telephony-service-call.desktop.in	2013-08-22 21:51:42 +0000
@@ -1,7 +1,7 @@
 [Desktop Entry]
 Type=Application
 Name=tr("Phone Calls")
-Exec=telephony-service-approver
+Exec=telephony-service-indicator
 Icon=telephony-service-call
 NoDisplay=true
 X-Ubuntu-Gettext-Domain=telephony-service

=== modified file 'indicator/telephony-service-sms.desktop.in'
--- indicator/telephony-service-sms.desktop.in	2013-08-22 17:51:46 +0000
+++ indicator/telephony-service-sms.desktop.in	2013-08-22 21:51:42 +0000
@@ -1,7 +1,7 @@
 [Desktop Entry]
 Type=Application
 Name=tr("SMS")
-Exec=telephony-service-approver
+Exec=telephony-service-indicator
 Icon=telephony-service-message
 NoDisplay=true
 X-Ubuntu-Gettext-Domain=telephony-service

